import {
  getTheme
} from "./chunk-5YS27QCP.mjs";
import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/theming.tsx
import weakMemoizeImport from "@emotion/weak-memoize";
import { createContext } from "@chakra-ui/vue-utils";
function weakMemoize(...args) {
  return typeof weakMemoizeImport === "function" ? weakMemoizeImport(...args) : weakMemoizeImport.default(...args) ? weakMemoizeImport.default(...args) : weakMemoizeImport(...args);
}
__name(weakMemoize, "weakMemoize");
var [_EmotionThemeProvider, useEmotionTheme, EmotionThemeContextSymbol] = createContext({
  strict: false,
  name: "EmotionThemeContext"
});
var createCacheWithTheme = /* @__PURE__ */ weakMemoize((outerTheme) => {
  return weakMemoize((theme) => {
    return getTheme(outerTheme, theme);
  });
});
function EmotionThemeProvider(theme) {
  let _theme = useEmotionTheme();
  if (theme !== _theme) {
    _theme = createCacheWithTheme(_theme)(theme);
  }
  _EmotionThemeProvider(_theme);
}
__name(EmotionThemeProvider, "EmotionThemeProvider");

export {
  weakMemoize,
  useEmotionTheme,
  EmotionThemeContextSymbol,
  createCacheWithTheme,
  EmotionThemeProvider
};
