import { CSSInterpolation } from '@emotion/serialize';
import { SerializedStyles } from '@emotion/utils';
import { CreateStyled } from './types.js';
import 'vue';
import './tags.js';
import '@chakra-ui/utils';

declare const createStyled: CreateStyled;
declare function css(...args: Array<CSSInterpolation | TemplateStringsArray>): SerializedStyles;

export { createStyled, css };
